Start a Citedy warm-lead report
curl --request POST \
--url https://www.citedy.com/api/agent/citedy-warm-lead \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"buyerRoles": [
"<string>"
],
"maxContacts": 2,
"drafts": 2,
"freshnessDays": 186,
"idempotencyKey": "<string>"
}
'import requests
url = "https://www.citedy.com/api/agent/citedy-warm-lead"
payload = {
"domain": "<string>",
"buyerRoles": ["<string>"],
"maxContacts": 2,
"drafts": 2,
"freshnessDays": 186,
"idempotencyKey": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain: '<string>',
buyerRoles: ['<string>'],
maxContacts: 2,
drafts: 2,
freshnessDays: 186,
idempotencyKey: '<string>'
})
};
fetch('https://www.citedy.com/api/agent/citedy-warm-lead', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"normalized_domain": "<string>",
"credits_charged": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"blocked_reason": "<string>",
"error_message": "<string>",
"result": {
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account": {},
"signals": [
{}
],
"contacts": [
{}
],
"scoring": {},
"drafts": [
{}
],
"policy": {},
"counters": {},
"exportRows": [
{}
],
"exportUrls": {}
},
"provider_counters": {},
"completed_at": "2023-11-07T05:31:56Z"
},
"credits_charged": 1,
"idempotent": true
}{
"run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"normalized_domain": "<string>",
"credits_charged": 1,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"blocked_reason": "<string>",
"error_message": "<string>",
"result": {
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account": {},
"signals": [
{}
],
"contacts": [
{}
],
"scoring": {},
"drafts": [
{}
],
"policy": {},
"counters": {},
"exportRows": [
{}
],
"exportUrls": {}
},
"provider_counters": {},
"completed_at": "2023-11-07T05:31:56Z"
},
"credits_charged": 1,
"idempotent": true
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"credits_required": 123,
"topup": {
"recommended_package_credits": 123,
"recommended_package_price_usd": 123,
"topup_url": "<string>"
},
"message": "<string>",
"breakdown": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Warm Leads
Start a Citedy warm-lead report
Creates one tenant-scoped warm-lead run for one company domain. Accepted new runs charge exactly 40 Citedy credits. Poll GET /api/agent/citedy-warm-lead/ for status and result.
POST
/
api
/
agent
/
citedy-warm-lead
Start a Citedy warm-lead report
Authorizations
Bearer citedy_agent_* key
Body
application/json
One company domain. Bare domains and http(s) URLs are accepted, but paths/social profile URLs are rejected.
Required string length:
1 - 253Ideal customer profile. Defaults to content-led-saas when omitted.
Available options:
seo-geo-agency, content-led-saas, vertical-saas Maximum array length:
6Required string length:
1 - 80Maximum buyer candidates. Defaults to 3 when omitted.
Required range:
1 <= x <= 3Maximum outreach drafts. Defaults to 3 when omitted.
Required range:
1 <= x <= 3Evidence lookback window in days. Defaults to 90 when omitted.
Required range:
7 <= x <= 365Required string length:
8 - 128⌘I
